com.genesyslab.wfm8.API.service.schedule851

## Class SchTotalsRequest

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule851.SchTotalsRequest

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTotalsRequest
      extends java.lang.Object
      implements java.io.Serializable

  A request to calculate agent work totals, such as Total Paid Hours, Total Effective Work Hours, and Time Off Hours, or any specified Schedule State summed for the specified time period and granularity.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `endDate` End date of the calculation period for the totals.
    `protected boolean` | `provideGrossTotals` Whether to calculate a gross total (summed totals of all agents) for requested totals.
    `protected boolean` | `provideOvertimeTotals` Whether to calculate overtime.
    `protected int` | `refID` Secondary state ID, if any
    `private static long` | `serialVersionUID`
    `protected double` | `startDate` Start date of the calculation period for the totals.
    `protected int` | `stateID` Schedule state ID (used together with "stateType").
    `protected int` | `stateType` Schedule State Type `ESchStateType`.
    `protected int` | `type` Granularity for the totals `ESchTotalsType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTotalsRequest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getEndDate()` Gets the value of the endDate property.
    `int` | `getRefID()` Gets the value of the refID property.
    `double` | `getStartDate()` Gets the value of the startDate property.
    `int` | `getStateID()` Gets the value of the stateID property.
    `int` | `getStateType()` Gets the value of the stateType property.
    `int` | `getType()` Gets the value of the type property.
    `int` | `hashCode()`
    `boolean` | `isProvideGrossTotals()` Gets the value of the provideGrossTotals property.
    `boolean` | `isProvideOvertimeTotals()` Gets the value of the provideOvertimeTotals property.
    `void` | `setEndDate(double value)` Sets the value of the endDate property.
    `void` | `setProvideGrossTotals(boolean value)` Sets the value of the provideGrossTotals property.
    `void` | `setProvideOvertimeTotals(boolean value)` Sets the value of the provideOvertimeTotals property.
    `void` | `setRefID(int value)` Sets the value of the refID property.
    `void` | `setStartDate(double value)` Sets the value of the startDate property.
    `void` | `setStateID(int value)` Sets the value of the stateID property.
    `void` | `setStateType(int value)` Sets the value of the stateType property.
    `void` | `setType(int value)` Sets the value of the type property.
    `java.lang.String` | `toString()`
    `SchTotalsRequest` | `withEndDate(double value)`
    `SchTotalsRequest` | `withProvideGrossTotals(boolean value)`
    `SchTotalsRequest` | `withProvideOvertimeTotals(boolean value)`
    `SchTotalsRequest` | `withRefID(int value)`
    `SchTotalsRequest` | `withStartDate(double value)`
    `SchTotalsRequest` | `withStateID(int value)`
    `SchTotalsRequest` | `withStateType(int value)`
    `SchTotalsRequest` | `withType(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### type

          protected int type

      Granularity for the totals `ESchTotalsType`

    - #### startDate

          protected double startDate

      Start date of the calculation period for the totals. `OleDateTime`

    - #### endDate

          protected double endDate

      End date of the calculation period for the totals. `OleDateTime`

    - #### provideOvertimeTotals

          protected boolean provideOvertimeTotals

      Whether to calculate overtime. (true/false)

    - #### provideGrossTotals

          protected boolean provideGrossTotals

      Whether to calculate a gross total (summed totals of all agents) for requested totals. (true/false)

    - #### stateType

          protected int stateType

      Schedule State Type `ESchStateType`. If specified, requests the calculation of the total number of minutes for the specified schedule state.

    - #### stateID

          protected int stateID

      Schedule state ID (used together with "stateType").

    - #### refID

          protected int refID

      Secondary state ID, if any

  - ### Constructor Detail

    - #### SchTotalsRequest

          public SchTotalsRequest()

  - ### Method Detail

    - #### getType

          public int getType()

      Gets the value of the type property.

    - #### setType

          public void setType(int value)

      Sets the value of the type property.

    - #### getStartDate

          public double getStartDate()

      Gets the value of the startDate property.

    - #### setStartDate

          public void setStartDate(double value)

      Sets the value of the startDate property.

    - #### getEndDate

          public double getEndDate()

      Gets the value of the endDate property.

    - #### setEndDate

          public void setEndDate(double value)

      Sets the value of the endDate property.

    - #### isProvideOvertimeTotals

          public boolean isProvideOvertimeTotals()

      Gets the value of the provideOvertimeTotals property.

    - #### setProvideOvertimeTotals

          public void setProvideOvertimeTotals(boolean value)

      Sets the value of the provideOvertimeTotals property.

    - #### isProvideGrossTotals

          public boolean isProvideGrossTotals()

      Gets the value of the provideGrossTotals property.

    - #### setProvideGrossTotals

          public void setProvideGrossTotals(boolean value)

      Sets the value of the provideGrossTotals property.

    - #### getStateType

          public int getStateType()

      Gets the value of the stateType property.

    - #### setStateType

          public void setStateType(int value)

      Sets the value of the stateType property.

    - #### getStateID

          public int getStateID()

      Gets the value of the stateID property.

    - #### setStateID

          public void setStateID(int value)

      Sets the value of the stateID property.

    - #### getRefID

          public int getRefID()

      Gets the value of the refID property.

    - #### setRefID

          public void setRefID(int value)

      Sets the value of the refID property.

    - #### withType

          public SchTotalsRequest withType(int value)

    - #### withStartDate

          public SchTotalsRequest withStartDate(double value)

    - #### withEndDate

          public SchTotalsRequest withEndDate(double value)

    - #### withProvideOvertimeTotals

          public SchTotalsRequest withProvideOvertimeTotals(boolean value)

    - #### withProvideGrossTotals

          public SchTotalsRequest withProvideGrossTotals(boolean value)

    - #### withStateType

          public SchTotalsRequest withStateType(int value)

    - #### withStateID

          public SchTotalsRequest withStateID(int value)

    - #### withRefID

          public SchTotalsRequest withRefID(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.